Đến nội dung


Hình ảnh
- - - - -

[yêu cầu] lisp thống kê sự xuất hiện của các đoạn thẳng


  • Please log in to reply
4 replies to this topic

#1 aqx8

aqx8

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 August 2011 - 09:05 AM

Em muốn thống kê sự xuất hiện của các đoạn thẳng, gần như là đếm có bao nhiêu đoạn thẳng
NHờ mọi người viết hộ em cái lisp như vậy được không
Thanks cả nhà!
  • 0

#2 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 01 August 2011 - 09:29 AM

Em muốn thống kê sự xuất hiện của các đoạn thẳng, gần như là đếm có bao nhiêu đoạn thẳng
NHờ mọi người viết hộ em cái lisp như vậy được không
Thanks cả nhà!

dùng lisp thì cũng tốt tôi. nhưng mình gợi ý bạn cách này, xem dc số lượng những dt khác mà trog Cad có sẵn.
bạn nhấn Ctrl+1 (hoặc lệnh MO) để hiện bảng Properties
sau đó nhấp vào ô mà mình đánh dấu màu đỏ để chọn vùng dt hoặc All để chọn tấc cả. hoặc gõ lệnh PSELECT để chọn dt.
khi này kết quả sẽ dc hiển thị tại chỗ mình đánh dấu màu xanh, gồm tổng cộng bao nhiêu Dt, line bao nhiêu, pline bao nhiêu...
Hình đã gửi
  • 1
Hình đã gửi

#3 aqx8

aqx8

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 August 2011 - 09:42 AM

dùng lisp thì cũng tốt tôi. nhưng mình gợi ý bạn cách này, xem dc số lượng những dt khác mà trog Cad có sẵn.
bạn nhấn Ctrl+1 (hoặc lệnh MO) để hiện bảng Properties
sau đó nhấp vào ô mà mình đánh dấu màu đỏ để chọn vùng dt hoặc All để chọn tấc cả. hoặc gõ lệnh PSELECT để chọn dt.
khi này kết quả sẽ dc hiển thị tại chỗ mình đánh dấu màu xanh, gồm tổng cộng bao nhiêu Dt, line bao nhiêu, pline bao nhiêu...
Hình đã gửi

Cám ơn bạn nhé,mình làm được rrồi,nhưng nếu có thêm cái líp thì hay.
Có líp thì sẽ so sánh đuọc lệnh hay líp nhanh và thuận tiện hơn.
  • 0

#4 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 01 August 2011 - 10:25 AM

Cám ơn bạn nhé,mình làm được rrồi,nhưng nếu có thêm cái líp thì hay.
Có líp thì sẽ so sánh đuọc lệnh hay líp nhanh và thuận tiện hơn.

Lsp thì dùng thử cái này xem (lệnh DEM):

(defun C:DEM()
(princ "Chon cac doan thang can dem: ")
(setq ss (ssget '((0 . "Line"))))
(setq so (sslength ss))
(alert (strcat "So doan thang la: " (itoa so)))
(princ))

  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#5 aqx8

aqx8

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 August 2011 - 10:19 AM

Lsp thì dùng thử cái này xem (lệnh DEM):


(defun C:DEM()
(princ "Chon cac doan thang can dem: ")
(setq ss (ssget '((0 . "Line"))))
(setq so (sslength ss))
(alert (strcat "So doan thang la: " (itoa so)))
(princ))

Cám ơn bạn nhé, lisp rất hay.
  • 0